<?php
/**
 * Florist Bouquet functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package florist_bouquet
 */

$florist_bouquet_theme_data = wp_get_theme();
if( ! defined( 'FLORIST_BOUQUET_THEME_VERSION' ) ) define ( 'FLORIST_BOUQUET_THEME_VERSION', $florist_bouquet_theme_data->get( 'Version' ) );
if( ! defined( 'FLORIST_BOUQUET_THEME_NAME' ) ) define( 'FLORIST_BOUQUET_THEME_NAME', $florist_bouquet_theme_data->get( 'Name' ) );
if( ! defined( 'FLORIST_BOUQUET_THEME_TEXTDOMAIN' ) ) define( 'FLORIST_BOUQUET_THEME_TEXTDOMAIN', $florist_bouquet_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'FLORIST_BOUQUET_VERSION' ) ) {
	define( 'FLORIST_BOUQUET_VERSION', '1.0.0' );
}

if ( ! function_exists( 'florist_bouquet_setup' ) ) :
	
	function florist_bouquet_setup() {
		
		load_theme_textdomain( 'florist-bouquet', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );
		
		add_theme_support( 'woocommerce' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'florist-bouquet' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'florist_bouquet_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*  Demo Import */
		require get_parent_theme_file_path( '/theme-wizard/config.php' );
	}
endif;
add_action( 'after_setup_theme', 'florist_bouquet_setup' );

function florist_bouquet_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'florist_bouquet_content_width', 640 );
}
add_action( 'after_setup_theme', 'florist_bouquet_content_width', 0 );

function florist_bouquet_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'florist-bouquet' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'florist-bouquet' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	$florist_bouquet_footer_widget_column = get_theme_mod('florist_bouquet_footer_widget_column','4');
	for ($i=1; $i<=$florist_bouquet_footer_widget_column; $i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'florist-bouquet' )  . $i,
			'id' => 'florist-bouquet-footer-widget-' . $i,
			'description' => __( 'The Footer Widget Area', 'florist-bouquet' )  . $i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'florist_bouquet_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function florist_bouquet_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'florist-bouquet-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'florist-bouquet-fontawesome-style', get_template_directory_uri() . '/resource/css/fontawesome' . $min . '.css', array(), '5.15.4' );

	// Main style.
	wp_enqueue_style( 'florist-bouquet-style', get_template_directory_uri() . '/style.css', array(), FLORIST_BOUQUET_VERSION );

	// RTL style.
	wp_style_add_data('florist-bouquet-style', 'rtl', 'replace');

	if (get_theme_mod('florist_bouquet_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'florist-bouquet-navigation-script', get_template_directory_uri() . '/resource/js/navigation' . $min . '.js', array(), FLORIST_BOUQUET_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'florist-bouquet-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'florist-bouquet-custom-script', get_template_directory_uri() . '/resource/js/custom' . $min . '.js', array( 'jquery' ), FLORIST_BOUQUET_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'alice',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Alice&display=swap' ),
		array(),
		'1.0'
	);

	// Load the webfont.
	wp_enqueue_style(
		'open-sans',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap' ),
		array(),
		'1.0'
	);

}
add_action( 'wp_enqueue_scripts', 'florist_bouquet_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'florist_bouquet_products_per_page' );
function florist_bouquet_products_per_page( $cols ) {
  	return  get_theme_mod( 'florist_bouquet_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'florist_bouquet_loop_columns');
	if (!function_exists('florist_bouquet_loop_columns')) {
	function florist_bouquet_loop_columns() {
		return get_theme_mod( 'florist_bouquet_products_per_row', 3 );
	}
}

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';
/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

function florist_bouquet_links_setup() {
	if ( ! defined( 'FLORIST_BOUQUET_PREMIUM_PAGE' ) ) {
	define('FLORIST_BOUQUET_PREMIUM_PAGE',__('https://asterthemes.com/products/bouquet-wordpress-theme','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_THEME_PAGE' ) ) {
		define('FLORIST_BOUQUET_THEME_PAGE',__('https://asterthemes.com/products/florist-bouquet','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_SUPPORT' ) ) {
	define('FLORIST_BOUQUET_SUPPORT',__('https://wordpress.org/support/theme/florist-bouquet/','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_REVIEW' ) ) {
	define('FLORIST_BOUQUET_REVIEW',__('https://wordpress.org/support/theme/florist-bouquet/reviews/','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_PRO_DEMO' ) ) {
	define('FLORIST_BOUQUET_PRO_DEMO',__('https://demo.asterthemes.com/florist-bouquet/','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_THEME_DOCUMENTATION' ) ) {
	define('FLORIST_BOUQUET_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/florist-bouquet-free/','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_PREMIUM_DOCUMENTATION' ) ) {
	define('FLORIST_BOUQUET_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/florist-bouquet-pro/','florist-bouquet'));
	}
	if ( ! defined( 'FLORIST_BOUQUET_BUNDLE_PAGE' ) ) {
		define('FLORIST_BOUQUET_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','florist-bouquet'));
	}
}
add_action('after_setup_theme', 'florist_bouquet_links_setup');

// Enqueue Customizer live preview script
function florist_bouquet_customizer_live_preview() {
    wp_enqueue_script(
        'florist-bouquet-customizer',
        get_template_directory_uri() . '/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'florist_bouquet_customizer_live_preview');

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// Featured Image Dimension
function florist_bouquet_blog_post_featured_image_dimension(){
	if(get_theme_mod('florist_bouquet_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}